<?php
 
 
 

namespace PhpWA\Protocol\Proto\MediaRetryNotification;

use UnexpectedValueException;




class ResultType
{
    


    const GENERAL_ERROR = 0;
    


    const SUCCESS = 1;
    


    const NOT_FOUND = 2;
    


    const DECRYPTION_ERROR = 3;

    private static $valueToName = [
        self::GENERAL_ERROR => 'GENERAL_ERROR',
        self::SUCCESS => 'SUCCESS',
        self::NOT_FOUND => 'NOT_FOUND',
        self::DECRYPTION_ERROR => 'DECRYPTION_ERROR',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

